<?php require_once 'bootstrap.php'; ?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script type="text/javascript" src="//maps.google.com/maps/api/js?sensor=false&libraries=geometry"></script>
<script type="text/javascript" src="javascript.js"></script>
<link href="styles.css" type="text/css" rel="stylesheet"/>
<script type="text/javascript">
var geosrc = '<?php echo $_REQUEST['geosrc']; ?>';
var LOCATION1 = <?php require 'get-location1.php'; ?>;
$(document).ready(function(){
  initGoogle();
  geolocateLocation1(function(){
    geolocateLocationsAll();
  });
});
</script>
</head>
<body>

  <div id="search-complete">
    <div>
      <h3>Search complete</h3>
      <span>Download <a href="download.php"><?php echo DISTANCES_FILE; ?></a>.</span>
      <span>Start a <a href="<?php echo WEBPATH; ?>">new search</a>.</span>
   </div>
  </div>
  
  <div id="options">
    <div>
      <h3>Unable to geolocate <span></span>. Your options are:</h3>
      <table>
        <tr><td>1) Stop the search while saving all results found so far</td><td><button onclick="doAbort()">Stop</button></td></tr>
        <tr><td>2) Skip this address and save the distance as N/A</td><td><button onclick="doSkip()">Skip</button></td></tr>
        <tr><td>3) Correct the address manually and resume the search</td><td><form onsubmit="doResume();return false;"><button type="submit">Resume</button><input name="correction"></form></td></tr>
      </table>
    </div>
  </div>
  
  <h3 id="search-status">
    <div></div>
    <button onclick="window.isStopped=true" id="btnStop">Stop this search</button>
  </h3>
  
  <div id="map"></div>
  
</body>
</html>
